package com.ruoyi.interfaces.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据集对象 md_data_set
 * 
 * @author 朱得糠
 * @date 2025-07-30
 */
public class MdDataSet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据集标识 */
    private String dcCode;

    /** 目录标识 */
    private String cateId;

    /** 数据集中文名 */
    @Excel(name = "数据集中文名")
    private String dcName;

    /** 数据集类型 */
    @Excel(name = "数据集类型")
    private String dcType;

    /** 顺序 */
    @Excel(name = "顺序")
    private Long dcSort;

    /** 图标 */
    @Excel(name = "图标")
    private String dcIcon;

    /** 数据集说明 */
    @Excel(name = "数据集说明")
    private String dcNote;

    public void setDcCode(String dcCode)
    {
        this.dcCode = dcCode;
    }

    public String getDcCode() 
    {
        return dcCode;
    }
    public void setCateId(String cateId) 
    {
        this.cateId = cateId;
    }

    public String getCateId() 
    {
        return cateId;
    }
    public void setDcName(String dcName) 
    {
        this.dcName = dcName;
    }

    public String getDcName() 
    {
        return dcName;
    }
    public void setDcType(String dcType) 
    {
        this.dcType = dcType;
    }

    public String getDcType() 
    {
        return dcType;
    }
    public void setDcSort(Long dcSort) 
    {
        this.dcSort = dcSort;
    }

    public Long getDcSort() 
    {
        return dcSort;
    }
    public void setDcIcon(String dcIcon) 
    {
        this.dcIcon = dcIcon;
    }

    public String getDcIcon() 
    {
        return dcIcon;
    }
    public void setDcNote(String dcNote) 
    {
        this.dcNote = dcNote;
    }

    public String getDcNote() 
    {
        return dcNote;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dcCode", getDcCode())
            .append("cateId", getCateId())
            .append("dcName", getDcName())
            .append("dcType", getDcType())
            .append("dcSort", getDcSort())
            .append("dcIcon", getDcIcon())
            .append("dcNote", getDcNote())
            .toString();
    }
}
